<div *ngIf="board$ | async as board" class="h-full w-full overflow-hidden" fxLayout="column">

  <div class="py-4 px-gutter" fxFlex="none" fxLayout="row" fxLayoutAlign="start center" vexContainer>
    <h1 *ngIf="role==='Admin'" class="title m-0">Gestion de tareas y proyectos</h1>
    <h1 *ngIf="role==='User'" class="title m-0">Mis asignaciones</h1>

    <button (click)="toggleStar(board)" class="ml-2" mat-icon-button type="button">

    </button>

    <span fxFlex></span>

    <div *ngIf="developers?.length > 0" fxFlex fxLayout="row" fxLayoutAlign="end center">
      <img *ngFor="let user of developers ; let j = index" [matTooltip]="user.firstName"
        src="assets/img/demo/developer{{j}}.png" class="avatar overlapping">
    </div>
  </div>

  <div (cdkDropListDropped)="dropList($event)" @stagger [cdkDropListData]="board.children" cdkDropList
    cdkDropListOrientation="horizontal" class="px-gutter pb-gutter min-h-0 overflow-x-auto" fxFlex="auto" fxLayout="row"
    fxLayoutAlign="start start" fxLayoutGap="24px" vexContainer>
    <div *ngFor="let list of board.children; trackBy: trackById" @fadeInUp [cdkDragData]="list" cdkDrag cdkDropListGroup
      class="rounded bg-app-bar overflow-hidden max-h-full w-full max-w-xxs" fxFlex="none" fxLayout="column">
      <div cdkDragHandle class="p-4 cursor-pointer" fxFlex="none">
        <h2 class="subheading-2 font-medium m-0 select-none" fxFlex="none">{{ list.label }}</h2>
      </div>

      <vex-scrollbar class="flex-auto">
        <div (cdkDropListDropped)="drop($event)" [cdkDropListConnectedTo]="getConnectedList(board)"
          [cdkDropListData]="list.childrenProjects" cdkDropList class="px-4 pb-4" id="{{ list.id }}">
          <div (click)="open(board, list, project)" *ngFor="let project of list.childrenProjects; trackBy: trackById"
            [cdkDragData]="project" cdkDrag class="scrumboard-card card w-full cursor-pointer overflow-hidden">

            <div *ngIf="list.label==='Proyectos'" class="w-full h-40 overflow-hidden">
              <img src="assets/img/demo/proyecto.jpg" class="object-cover w-full h-full">
            </div>
            <div *ngIf="list.label==='Tareas'" class="w-full h-40 overflow-hidden">
              <img src="assets/img/demo/tarea.jpg" class="object-cover w-full h-full">
            </div>

            <div class="p-4">


              <h3 class="body-2 m-0 select-none">{{ project.name }}</h3>

              <div *ngIf="project.created  ||  project.developers?.length > 0" class="mt-2" fxLayout="row"
                fxLayoutGap="8px">
                <div *ngIf="project.created" [ngClass]="{ 'bg-green text-contrast-white': project.created }"
                  class="box bg-app-bar text-secondary rounded caption">
                  <ic-icon [icon]="icNotifications" inline="true" size="16px"></ic-icon>
                  <span class="box-text">{{ project.created| date:'MM/dd/yyyy' }}</span>
                </div>
                <div *ngIf="project.developer" fxFlex fxLayout="row" fxLayoutAlign="end center">
                  <img [matTooltip]="project.developer.firstName" src="assets/img/demo/developer5.png"
                    class="avatar overlapping">
                </div>
                <div *ngIf="project.developers?.length > 0" fxFlex fxLayout="row" fxLayoutAlign="end center">
                  <img *ngFor="let user of project.developers; let j = index" [matTooltip]="user.firstName"
                    src="assets/img/demo/developer{{j}}.png" class="avatar overlapping">
                </div>
              </div>

            </div>
          </div>
        </div>
      </vex-scrollbar>


      <div *ngIf="list.label==='Proyectos' && role!='User'" #addCardOriginRef class="bg-hover" fxFlex="none">
        <ng-template #addCardTemplate let-close="close">
          <div class="card px-4 py-6">
            <mat-form-field class="vex-dense-form-field">
              <mat-label>Nombre proyecto</mat-label>
              <input [formControl]="addCardCtrl" matInput placeholder="Nombre del proyecto...">
              <button (click)="createProject(list, close)" class="-top-1" color="primary" mat-button matSuffix
                type="button">CREAR
              </button>
            </mat-form-field>
          </div>
        </ng-template>

        <button (click)="openAddCard(list, addCardTemplate, addCardOriginRef)" class="w-full" mat-button type="button">
          <ic-icon [icon]="icAdd" class="mr-1 -ml-1" inline="true"></ic-icon>
          <span>AGREGAR PROYECTO</span>
        </button>
      </div>

      <div *ngIf="list.label==='Tareas'  && role!='User'" #addCardOriginRef class="bg-hover" fxFlex="none">
        <ng-template #addCardTemplate let-close="close">
          <div class="card px-4 py-6">
            <mat-form-field class="vex-dense-form-field">
              <mat-label>Tarea</mat-label>
              <input [formControl]="addCardCtrl" matInput placeholder="Nombre de la tarea...">
              <button (click)="createTask(list, close)" class="-top-1" color="primary" mat-button matSuffix
                type="button">CREAR
              </button>
            </mat-form-field>
          </div>
        </ng-template>
        <button *ngIf="list.label==='Tareas'" (click)="openAddCard(list, addCardTemplate, addCardOriginRef)"
          class="w-full" mat-button type="button">
          <ic-icon [icon]="icAdd" class="mr-1 -ml-1" inline="true"></ic-icon>
          <span>AGREGAR TAREA</span>
        </button>
      </div>
    </div>


  </div>

</div>